Package org.apache.commons.math3.ml.neuralnet.sofm

# Interface NeighbourhoodSizeFunction

public interface NeighbourhoodSizeFunction
Provides the network neighbourhood's size as a function of the number of calls already performed during the learning task. The "neighbourhood" is the set of neurons that can be reached by traversing at most the number of links returned by this function.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`int`
`value(long numCall)`
Computes the neighbourhood size at the current call.

## Method Details

### value

int value(long numCall)
Computes the neighbourhood size at the current call.

Parameters:
  `numCall` - Current step of the training task.
Returns:
  the value of the function at `numCall`.